aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/run-smoke-tests
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run-smoke-tests')
-rwxr-xr-xscripts/run-smoke-tests10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/run-smoke-tests b/scripts/run-smoke-tests
new file mode 100755
index 0000000000..c2333e7825
--- /dev/null
+++ b/scripts/run-smoke-tests
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -ev
+
+cd $ERL_TOP/release/tests/test_server
+$ERL_TOP/bin/erl -s ts install -s ts smoke_test batch -s init stop
+
+if grep -q '=failed *[1-9]' ct_run.test_server@*/*/run.*/suite.log; then
+ echo "One or more tests failed."
+ exit 1
+fi